Page MenuHomePhabricator

Homepage: mobile homepage and user page auto scroll down (on iOS Safari 10 and iOS Chrome 60.0.3112.89)
Closed, ResolvedPublic

Description

When the mobile homepage or the mobile (unactivated) user page loads the page instantly auto scrolls partly down to the tabbed menu div. No matter the context of origin.

This behavior occurs on iOS Safari 10 and iOS Chrome 60.0.3112.89
Not able to replicate elsewhere.

Event Timeline

Cntlsn created this task.Jun 19 2019, 3:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2019, 3:21 PM
MMiller_WMF renamed this task from Homepage: mobile homepage and mobile user page auto scroll down after page load (on iOS Safari 10 and iOS Chrome 60.0.3112.89) to Homepage: mobile homepage and user page auto scroll down (on iOS Safari 10 and iOS Chrome 60.0.3112.89).Jun 19 2019, 9:59 PM
phuedx moved this task from Needs triage to Triaged on the Mobile board.Jun 20 2019, 10:02 AM

Change 518151 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/skins/MinervaNeue@master] Don't scroll vertically when scrolling active tab into view

https://gerrit.wikimedia.org/r/518151

SBisson assigned this task to Catrope.Jun 21 2019, 1:48 PM
SBisson moved this task from Incoming to Code Review on the Growth-Team (Current Sprint) board.

@Catrope do you want to tweak your patch to also address T223142#5270492?

@Catrope do you want to tweak your patch to also address T223142#5270492?

I'll work on that in a follow-up patch. But since scrolling to the edge is better than not scrolling at all, I'd like for my original patch to be merged as soon as the CI issue (now filed as T226442) is resolved, so that we at least have something in place.

Change 518151 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Don't scroll vertically when scrolling active tab into view

https://gerrit.wikimedia.org/r/518151

Change 519241 had a related patch set uploaded (by Kosta Harlan; owner: Catrope):
[mediawiki/skins/MinervaNeue@wmf/1.34.0-wmf.10] Don't scroll vertically when scrolling active tab into view

https://gerrit.wikimedia.org/r/519241

Change 519241 abandoned by Kosta Harlan:
Don't scroll vertically when scrolling active tab into view

Reason:
will wait for wmf.11

https://gerrit.wikimedia.org/r/519241

Verified in Safari 10 on desktop and with user agent iOS 10 and Chrome (also some testing was done in Saucelabs)- the scrolling is not happening. Unless, @Cntlsn finds some other scrolling issues, I'm inclined to close this ticket as Resolved.

Cntlsn closed this task as Resolved.Jul 15 2019, 9:57 AM

Thanks @Etonkovidova, looks good on my device with iOS Safari 10 and iOS Chrome 60.0.3112.89